## accessibility-inspector 24.08.1

=== debian/changelog ===
accessibility-inspector (24.08.1-0zneon+22.04+jammy+release+build2) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 23 Sep 2024 01:48:02 +0000

accessibility-inspector (24.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:21:47 +0000

accessibility-inspector (24.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 21 Aug 2024 09:04:32 +0000

accessibility-inspector (24.05.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Jul 2024 08:58:34 +0000

accessibility-inspector (24.05.0-0neon) UNRELEASED; urgency=medium

  * kde gear release

 -- Jonathan Riddell <jr@jriddell.org>  Wed, 05 Jun 2024 11:56:20 +0100

accessibility-inspector (1.1.0-1neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 02 Mar 2024 22:26:01 +1000

accessibility-inspector (1.0.0-1neon) jammy; urgency=medium

  * Initial release

 -- Neon CI <neon@kde.org>  Fri, 05 Jan 2024 23:35:01 +1000

## accessibility-inspector 25.04.3

=== debian/changelog ===
accessibility-inspector (25.04.3-0zneon+24.04+noble+release+build18) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sun, 06 Jul 2025 13:35:00 +0000

accessibility-inspector (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 13:12:22 +0000

accessibility-inspector (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:26:09 +0000

accessibility-inspector (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 06:01:09 +0000

accessibility-inspector (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:20:16 +0000

accessibility-inspector (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 15:53:22 +0000

accessibility-inspector (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 16:14:41 +0000

accessibility-inspector (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 21:12:33 +0000

accessibility-inspector (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 20:02:00 +0000

accessibility-inspector (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:26:19 +0000

accessibility-inspector (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:50:21 +0000

accessibility-inspector (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:21:47 +0000

accessibility-inspector (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 21 Aug 2024 09:04:32 +0000

accessibility-inspector (24.05.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Jul 2024 08:58:34 +0000

accessibility-inspector (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 03 Jun 2024 09:21:27 +0000

## accessibility-inspector 25.08.0

=== debian/changelog ===
accessibility-inspector (25.08.0-0zneon+24.04+noble+release+build19) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 15 Aug 2025 08:10:08 +0000

accessibility-inspector (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 14:59:21 +0000

## accessibility-inspector 25.08.1

=== debian/changelog ===
accessibility-inspector (25.08.1-0zneon+24.04+noble+release+build20) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Sep 2025 06:44:47 +0000

accessibility-inspector (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 11:30:44 +0000

## accessibility-inspector 25.08.1+p24.04+vstable+git20250910.0647

=== debian/changelog ===
accessibility-inspector (25.08.1+p24.04+vstable+git20250910.0647-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Sep 2025 06:47:58 +0000

## accessibility-inspector 25.08.1+p24.04+vstable+git20251001.1130

=== debian/changelog ===
accessibility-inspector (25.08.1+p24.04+vstable+git20251001.1130-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 11:30:27 +0000

## accessibility-inspector 25.08.2

=== debian/changelog ===
accessibility-inspector (25.08.2-0zneon+24.04+noble+release+build22) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 12:05:46 +0000

accessibility-inspector (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:08:03 +0000

## accessibility-inspector 25.12.1+p24.04+vunstable+git20260201.0612

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Carl Schwan <carlschwan@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16.0)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "26")
set(RELEASE_SERVICE_VERSION_MINOR "03")
set(RELEASE_SERVICE_VERSION_MICRO "70")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(accessibilityinspector VERSION ${RELEASE_SERVICE_VERSION})

set(KF_MIN_VERSION "6.11.0")
set(REQUIRED_QT_VERSION "6.8.0")
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)

include(FeatureSummary)
include(ECMSetupVersion)
include(KDEInstallDirs)
include(KDEClangFormat)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddTests)
include(KDEGitCommitHooks)
include(GenerateExportHeader)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX INSPECTOR
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/src/inspector-version.h
)

set(ACCESSIBILITYINSPECTOR_LIB_VERSION "1.0")
set(ACCESSIBILITYINSPECTOR_LIB_SOVERSION "1")

find_package(Qt6 ${QT_MIN_VERSION} NO_MODULE COMPONENTS Widgets Core)

if(BUILD_TESTING)
    add_definitions(-DBUILD_TESTING)
    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Test)
endif()

set_package_properties(Qt6 PROPERTIES
    TYPE REQUIRED
    PURPOSE "Required application components"
)

find_package(KF6 ${KF_MIN_VERSION} COMPONENTS CoreAddons I18n DBusAddons ConfigWidgets XmlGui Crash)
set_package_properties(KF6 PROPERTIES
    TYPE REQUIRED
    PURPOSE "Required application components"
)

find_package(QAccessibilityClient6 0.6.0 CONFIG)
set_package_properties(QAccessibilityClient6 PROPERTIES
    TYPE REQUIRED
    URL "https://invent.kde.org/libraries/libqaccessibilityclient"
    DESCRIPTION "KDE client-side accessibility library"
    PURPOSE "Required to enable accessibility features"
)

ecm_set_disabled_deprecation_versions(QT 6.9
    KF 6.13.0
    )

add_subdirectory(src)

ecm_qt_install_logging_categories(
        EXPORT ACCESSIBILITYINSPECTOR
        FILE accessibilityinspector.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )

install(FILES org.kde.accessibilityinspector.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.accessibilityinspector.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES org.kde.accessibilityinspector.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ki18n_install(po)

## accessibility-inspector 25.08.2+p24.04+vstable+git20251015.1150

=== debian/changelog ===
accessibility-inspector (25.08.2+p24.04+vstable+git20251015.1150-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 11:50:33 +0000

=== debian/control ===
Source: accessibility-inspector
Section: kde
Priority: optional
Uploaders: KDE Neon <neon@kde.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               kf6-kxmlgui-dev,
               libqaccessibilityclient-qt6-dev,
               pkg-kde-tools-neon,
               qt6-base-dev
Standards-Version: 4.6.2
Homepage: http://www.kde.org
Vcs-Git: https://invent.kde.org/neon/neon-packaging/accessibility-inspector.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/accessibility-inspector
Maintainer: Neon CI <neon@kde.org>

Package: accessibility-inspector
Architecture: any
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Application accessibility inspector
 Inspect your application accessibility tree.
 .
 This package is part of the KDE accessibility module.

## accessibility-inspector 25.08.2+p24.04+vstable+git20251019.0149

=== debian/changelog ===
accessibility-inspector (25.08.2+p24.04+vstable+git20251019.0149-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 01:49:45 +0000

## accessibility-inspector 25.08.2+p24.04+vstable+git20251031.0724

=== debian/changelog ===
accessibility-inspector (25.08.2+p24.04+vstable+git20251031.0724-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 07:24:35 +0000

## accessibility-inspector 25.08.3

=== debian/changelog ===
accessibility-inspector (25.08.3-0zneon+24.04+noble+release+build23) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 15:08:02 +0000

accessibility-inspector (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:32:38 +1000

## accessibility-inspector 25.08.3+p24.04+vunstable+git20251208.0333

=== debian/changelog ===
accessibility-inspector (25.08.3+p24.04+vunstable+git20251208.0333-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 03:33:19 +0000

## accessibility-inspector 25.12.0

=== debian/changelog ===
accessibility-inspector (25.12.0-0zneon+24.04+noble+release+build24) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 10:20:25 +0000

accessibility-inspector (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:28:20 +1000

## accessibility-inspector 25.12.0+p24.04+vstable+git20251231.0105

=== debian/changelog ===
accessibility-inspector (25.12.0+p24.04+vstable+git20251231.0105-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 01:05:40 +0000

## accessibility-inspector 25.12.0+p24.04+vstable+git20260102.1207

=== debian/changelog ===
accessibility-inspector (25.12.0+p24.04+vstable+git20260102.1207-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 02 Jan 2026 12:07:04 +0000

## accessibility-inspector 25.12.0+p24.04+vunstable+git20251208.1021

=== debian/changelog ===
accessibility-inspector (25.12.0+p24.04+vunstable+git20251208.1021-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 10:21:23 +0000

## accessibility-inspector 25.12.1

=== debian/changelog ===
accessibility-inspector (25.12.1-0zneon+24.04+noble+release+build26) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 09:56:39 +0000

accessibility-inspector (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:16:35 +1000

## accessibility-inspector 25.12.1+p24.04+vstable+git20260122.0854

=== debian/changelog ===
accessibility-inspector (25.12.1+p24.04+vstable+git20260122.0854-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 08:54:34 +0000

## accessibility-inspector 25.12.1+p24.04+vstable+git20260131.0300

=== debian/changelog ===
accessibility-inspector (25.12.1+p24.04+vstable+git20260131.0300-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 03:00:18 +0000

## accessibility-inspector 25.12.1+p24.04+vunstable+git20260129.0330

=== debian/changelog ===
accessibility-inspector (25.12.1+p24.04+vunstable+git20260129.0330-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 03:30:09 +0000

## accessibility-inspector 25.12.1+p24.04+vunstable+git20260201.0612

=== debian/changelog ===
accessibility-inspector (25.12.1+p24.04+vunstable+git20260201.0612-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 06:12:36 +0000

## accessibility-inspector 25.12.2+p24.04+vstable+git20260218.0202

=== debian/changelog ===
accessibility-inspector (25.12.2+p24.04+vstable+git20260218.0202-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 18 Feb 2026 02:02:51 +0000

accessibility-inspector (25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 06:50:55 +0000

## accessibility-inspector 25.12.2+p24.04+vstable+git20260219.0304

=== debian/changelog ===
accessibility-inspector (25.12.2+p24.04+vstable+git20260219.0304-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 19 Feb 2026 03:04:49 +0000
